import { StyleSheet } from 'react-native'
import appColors from '../../../../theme/appColors'
import {
  fontSizes,
  windowHeight,
  windowWidth,
} from '../../../../theme/appConstant'
import appFonts from '../../../../theme/appFonts'

const styles = StyleSheet.create({
  mainContainer: { flex: 1 },
  headerContainer: {
    justifyContent: 'space-between',
    alignItems: 'center',
    marginHorizontal: windowWidth(4),
    height: windowHeight(10),
  },
  header: {
    borderWidth: windowHeight(0.1),
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: windowHeight(0.7),
    height: windowHeight(4.5),
    width: windowHeight(4.5),
  },
  text: {
    fontSize: fontSizes.FONT5,
    fontFamily: appFonts.medium,
  },
  ticketContainer: {
    borderWidth: windowWidth(0.45),
    paddingHorizontal: windowWidth(3.5),
    paddingBottom: windowHeight(2),
    borderRadius: windowWidth(5),
    paddingTop: windowHeight(0.8),
  },
  ticketText: {
    color: appColors.primary,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT4,
  },
  imgContainer: { flex: 1, alignItems: 'center', justifyContent: 'center' },
  image: { height: windowHeight(40), width: windowHeight(40) },
  textContainer: {
    alignItems: 'center',
    justifyContent: 'center',
    marginVertical: windowHeight(1.5),
  },
  emptyTicket: {
    fontFamily: appFonts.bold,
    fontSize: fontSizes.FONT5,
  },
  menuTrigger: {
    marginHorizontal: windowWidth(2),
    paddingTop: windowHeight(0.2),
  },
  noTicketText: {
    color: appColors.secondaryFont,
    width: windowWidth(80),
    textAlign: 'center',
    fontFamily: appFonts.regular,
  },
  priorityText: {
    color: appColors.red,
    fontFamily: appFonts.regular,
  },
  priorityContainer: {
    backgroundColor: appColors.lightRed,
    paddingHorizontal: windowWidth(6),
    paddingVertical: windowHeight(1),
    borderRadius: windowHeight(2),
    marginHorizontal: windowWidth(2),
  },
  departmentText: {
    color: appColors.darkPurpal,
    fontFamily: appFonts.regular,
  },
  departmentContainer: {
    backgroundColor: appColors.lightPurpal,
    paddingHorizontal: windowWidth(2),
    paddingVertical: windowHeight(1),
    borderRadius: windowHeight(2),
  },
  container: {
    width: '109%',
    height: windowHeight(0.6),
    marginVertical: windowHeight(1.9),
    alignSelf: 'center',
  },
  messageText: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
    marginHorizontal: windowWidth(2),
  },
  subjectText: {
    fontFamily: appFonts.medium,
    marginVertical: windowHeight(1.5),
    marginHorizontal: windowWidth(2),
    marginBottom: windowHeight(1),
  },
  ticket_status: {
    color: appColors.pending,
    fontFamily: appFonts.regular,
  },
  ticket_status_Container: {
    paddingHorizontal: windowWidth(5),
    paddingVertical: windowHeight(1),
    backgroundColor: appColors.pendingBg,
    borderRadius: windowHeight(50),
    alignItems: 'center',
    justifyContent: 'center',
    marginHorizontal: windowWidth(3),
  },
  ticket_status_Container1: {
    paddingHorizontal: windowWidth(5),
    paddingVertical: windowHeight(1),
    backgroundColor: appColors.pendingBg,
    borderRadius: windowHeight(50),
    alignItems: 'center',
    justifyContent: 'center',
  },
  ticket_Container: {
    width: '35%',
    justifyContent: 'flex-end',
    alignItems: 'center',
  },
  created_at_Text: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT3HALF1,
    marginHorizontal: windowWidth(1),
  },
  created_Container: { width: '66%' },
  created_Main_Container: { width: '100%', marginTop: windowHeight(1) },
  containerMain: {
    marginHorizontal: windowWidth(4),
    marginTop: windowHeight(2),
    top: windowHeight(0.8),
  },
  contentContainerStyle: { paddingBottom: windowHeight(10) },
  gap: {
    gap: windowHeight(10.5),
  },
})

export default styles
